Subject: Re: bug#36432: 26.2; SMIE does not request forward tokens when point is at point-max

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Jun 2019 17:39:21 -0400

> SMIE (via a `indent-for-tab-command') does not request forward tokens
> from the lexer when point is at `point-max'.

After looking at the smie.el code I think this bug report is not
sufficiently detailed: it definitely sometimes does, and I don't see any
obvious place where it doesn't.  Can you clarify if it happens during
something like smie-forward-sexp or rather within the smie-indent*
code itself.

Or do you mean when you trigger indent-according-to-mode with point at EOB?

        Stefan